Skip to content

List sexes

Request

Returns a paginated list of Sexes for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""abbreviation""name"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
abbreviationstring

Short code or abbreviation for the sex (e.g., M, F, U).

isActiveboolean

Whether this sex option is active and should be available for selection.

isDesexedboolean

Indicates whether this sex classification implies desexing (e.g., neutered male).

namestring

Human-readable name of the sex (e.g., Male, Female, Unknown).

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/sex?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&abbreviation=string&isActive=true&isDesexed=true&name=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Sexes